# esda.Spatial_Pearson_Local

class esda.Spatial_Pearson_Local(connectivity=None, permutations=999)

  Local Spatial Pearson Statistic

  __init__(connectivity=None, permutations=999)

    Initialize a spatial local pearson estimator

    Parameters:
      connectivity: scipy.sparse matrix object

        the connectivity structure describing the relationships between observed units. Will be row-standardized.

      permutations: int

        the number of permutations to conduct for inference. if < 1, no permutational inference will be conducted.

      significance_: numpy.ndarray (2,2)

        permutation-based p-values for the fraction of times the observed correlation was more extreme than the simulated correlations.

      Attributes
      ———-
      associations_: numpy.ndarray (n_samples,)

        array containg the estimated Lee spatial pearson correlation coefficients, where element [0,1] is the spatial correlation coefficient, and elements [0,0] and [1,1] are the “spatial smoothing factor”

      reference_distribution_: numpy.ndarray (n_permutations, n_samples)

        distribution of correlation matrices for randomly-shuffled maps.

      significance_: numpy.ndarray (n_samples,)

        permutation-based p-values for the fraction of times the observed correlation was more extreme than the simulated correlations.

    Notes

  Methods

  `__init__`([connectivity, permutations]) | Initialize a spatial local pearson estimator
  `fit`(x, y) | Bivariate local pearson's R based on Eq.
  `get_metadata_routing`() | Get metadata routing of this object.
  `get_params`([deep]) | Get parameters for this estimator.
  `set_fit_request`(*[, x]) | Configure whether metadata should be requested to be passed to the `fit` method.
  `set_params`(**params) | Set the parameters of this estimator.

  fit(x, y)

    Bivariate local pearson’s R based on Eq. 22 in Lee (2001), using site-wise conditional randomization from Moran_Local_BV.

    \[L_i = \dfrac{ n \cdot \Big[ig(\sum_i w_{ij}(x_j - ar{x})ig) ig(\sum_i w_{ij}(y_j - ar{y})ig) \Big] } { \sqrt{\sum_i (x_i - ar{x})^2} \sqrt{\sum_i (y_i - ar{y})^2}} = \dfrac{ n \cdot ( ilde{x}_j - ar{x}) ( ilde{y}_j - ar{y}) } { \sqrt{\sum_i (x_i - ar{x})^2} \sqrt{\sum_i (y_i - ar{y})^2}}\]

    Lee, Sang Il. (2001), “Developing a bivariate spatial association measure: An integration of Pearson’s r and Moran’s I.” Journal of Geographical Systems, 3(4):369-385.

    Parameters:
      x `numpy.ndarray`

        array containing continuous data

      y `numpy.ndarray`

        array containing continuous data

    Returns:
      `the` fitted estimator.
  set_fit_request(*, x: bool | None | str = '$UNCHANGED$') → Spatial_Pearson_Local

    Configure whether metadata should be requested to be passed to the `fit` method.

    Note that this method is only relevant when this estimator is used as a sub-estimator within a meta-estimator and metadata routing is enabled with `enable_metadata_routing=True` (see `sklearn.set_config()`). Please check the User Guide on how the routing mechanism works.

    The options for each parameter are:

    - `True`: metadata is requested, and passed to `fit` if provided. The request is ignored if metadata is not provided.

    - `False`: metadata is not requested and the meta-estimator will not pass it to `fit`.

    - `None`: metadata is not requested, and the meta-estimator will raise an error if the user provides it.

    - `str`: metadata should be passed to the meta-estimator with this given alias instead of the original name.

    The default (`sklearn.utils.metadata_routing.UNCHANGED`) retains the existing request. This allows you to change the request for some parameters and not others.

    Added in version 1.3.

    Parameters:
      x `str`, `True`, `False`, or `None`, default=sklearn.utils.metadata_routing.UNCHANGED

        Metadata routing for `x` parameter in `fit`.

    Returns:
      self `object`

        The updated object.